Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.javah
Interface JavahAdapter

All Known Implementing Classes:
  Kaffeh, SunJavah

public interface JavahAdapter

Interface for different backend implementations of the Javah task.

Since:
  Ant 1.6.3

Method Summary
`boolean` | `compile(Javah javah)` Performs the actual compilation.

Method Detail

### compile

    public boolean compile(Javah javah)
                    throws BuildException

  Performs the actual compilation.

    `BuildException`
  Since:
    Ant 1.6.3

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.